<script>
    import Day from './_design_1_day.svelte';   
    import { day_width, day_height, yScale, city_chosen, scale_chosen, yScale_0,
     yScale_1,yScale_2,yScale_3,yScale_4,yScale_5,yScale_6,yScale_7,
     yScale_8,yScale_9,yScale_10,yScale_11,yScale_12,yScale_13,yScale_14,yScale_15,
     yScale_0_d, yScale_1_d,yScale_2_d,yScale_3_d,yScale_4_d,yScale_5_d,yScale_6_d,yScale_7_d,
     yScale_8_d,yScale_9_d,yScale_10_d,yScale_11_d,yScale_12_d,yScale_13_d,yScale_14_d,yScale_15_d  } from "./store.js";
    
    export let data = {};
    
    // Size and margins
      
    const width = 800;
      const height = 700;
      const margin = { top: 40, right: 20, bottom: 20, left: 20 };
      const innerWidth = width - margin.left - margin.right;
      const innerHeight = height - margin.top - margin.bottom;
    
    
    
    
    
     
    </script>
    
    <style>
      text {
        font-size: 10px;
        dominant-baseline: middle;
      }

      p {
         stroke: grey;
         font-size: 35px;
         opacity: 0.5;
      }
   
    
    </style>
    
    <h2>Total heating energy in December</h2>
    <p>{$city_chosen}</p>
    
    <svg width={width+margin.left+margin.right} height={height+margin.top+margin.bottom}>
      <g transform = "translate({margin.left}, {margin.top})">
         {#each Object.keys(data) as bdtp_nr, bdtp_idx}
           <g transform="translate(0, {bdtp_idx*day_height+(20*bdtp_idx)})">
            <text x={day_width*31+20} y={$yScale(0)}>{bdtp_nr}</text>
             {#if bdtp_idx==0}
               {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_0}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_0_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==1}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_1}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_1_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==2}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_2}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_2_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==3}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_3}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_3_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==4}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_4}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_4_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==5}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_5}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_5_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==6}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_6}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_6_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==7}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_7}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_7_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==8}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_8}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_8_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==9}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_9}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_9_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==10}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_10}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_10_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==11}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_11}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_11_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==12}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_12}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_12_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==13}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_13}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_13_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==14}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_14}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_14_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==15}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_15}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_15_d}/>
                 </g>
                 {/each}
                 {/if}
                 </g>
              {/each}
           </g>
    </svg>
    
    
    
    